package de.renew.gui;

import CH.ifa.draw.figures.TextFigure;


/**
 * @author joern
 *
 */
public interface TextFigureCreator {
    boolean canCreateFigure(InscribableFigure figure);

    TextFigure createTextFigure(InscribableFigure figure);

    boolean canCreateDefaultInscription(InscribableFigure figure);

    String getDefaultInscription(InscribableFigure figure);
}